.dev
REST APIAPI Reference

Webhooks

GET
/v1/stores/{storeId}/integrations/webhooks

Path Parameters

storeId*string

Response Body

curl -X GET "https://example.com/v1/stores/string/integrations/webhooks"
POST
/v1/stores/{storeId}/integrations/webhooks

Path Parameters

storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/integrations/webhooks"
GET
/v1/stores/{storeId}/integrations/webhooks/{webhookId}

Path Parameters

storeId*string
webhookId*string

Response Body

curl -X GET "https://example.com/v1/stores/string/integrations/webhooks/string"
PATCH
/v1/stores/{storeId}/integrations/webhooks/{webhookId}

Path Parameters

storeId*string
webhookId*string

Response Body

curl -X PATCH "https://example.com/v1/stores/string/integrations/webhooks/string"
DELETE
/v1/stores/{storeId}/integrations/webhooks/{webhookId}

Path Parameters

storeId*string
webhookId*string

Response Body

curl -X DELETE "https://example.com/v1/stores/string/integrations/webhooks/string"
GET
/v1/stores/{storeId}/integrations/webhooks/{webhookId}/history

Path Parameters

storeId*string
webhookId*string

Response Body

curl -X GET "https://example.com/v1/stores/string/integrations/webhooks/string/history"
POST
/v1/stores/{storeId}/integrations/webhooks/{webhookId}/test

Path Parameters

storeId*string
webhookId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/integrations/webhooks/string/test"
POST
/v1/stores/{storeId}/integrations/webhooks/send

Path Parameters

storeId*string

Response Body

curl -X POST "https://example.com/v1/stores/string/integrations/webhooks/send"